{ lib, pkgs, ... }:
{
  services = {
    
    kmscon = {
      enable = lib.mkDefault true;
      hwRender = true;
      fonts = [
        {
          name = "JetBrainsMono NFM";
          package = pkgs.nerd-fonts.jetbrains-mono;
        }
      ];
    };

    openssh = {
      enable = lib.mkDefault true;
      settings = {
        UseDns = true;
      };
    };

    # Enable firmware updates
    fwupd.enable = lib.mkForce true;

    fstrim.enable = lib.mkDefault true;

    pcscd.enable = lib.mkDefault true;

    # Enable Avahi for .local hostname resolution
    avahi = {
      enable = lib.mkDefault true;
      nssmdns4 = lib.mkDefault true;  # For modern systems, use nssmdns4 instead of nssmdns
      publish = {
        enable = lib.mkDefault true;
        addresses = lib.mkDefault true;
        domain = lib.mkDefault true;
        workstation = lib.mkDefault true;
      };
    };
  };
}
